Package org.apache.calcite.avatica.remote

# Interface GSSAuthenticateable

All Known Implementing Classes:
  `AvaticaCommonsHttpClientImpl`

public interface GSSAuthenticateable
Interface that allows configuration of a GSS credential with SPENGO HTTP authentication.

## Method Summary

Modifier and Type
Method
Description
`void`
`setGSSCredential(GSSCredential credential)`
Sets the GSS Credential If credential is null, then the current subject will be used

## Method Details

### setGSSCredential

void setGSSCredential(GSSCredential credential)
Sets the GSS Credential If credential is null, then the current subject will be used

Parameters:
  `credential` - GSS Credentials